import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ProjectEditQuotasComponent } from './project-edit-quotas.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';

describe('ProjectEditQuotasComponent', () => {
  let component: ProjectEditQuotasComponent;
  let fixture: ComponentFixture<ProjectEditQuotasComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ProjectEditQuotasComponent],
      imports: [
        HttpClientTestingModule, RouterTestingModule, MatSnackBarModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ProjectEditQuotasComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
